#751 closed defect (fixed)

Chat/pppd bugs.

Reported by: osv2 Owned by: Eric Norum
Priority: highest Milestone: 2
Component: network/legacy Version: 4.6
Severity: critical Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

The fix committed to fix PR736 breaks pppd. chat.c should have its own static ttyfd for pppd to work correctly. The symptom is that second invokation of chat (for connect script) fails due to pppd_ttyfd set to -1 by previous chat invokation (for init script).

The attached patch fixes it. In addition, it fixes leaving of dangling pointer in the abort_string[] by chat_send().

Release:
4.6.99.1

Attachments (1)

rtems-cvs-20050121-chat-ttyfd.patch.gz (1.2 KB) - added by osv2 on Dec 3, 2006 at 1:31:13 PM.
rtems-cvs-20050121-chat-ttyfd.patch.gz

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Jan 31, 2005 at 9:22:29 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Attached patch committed. Thanks for testing the CVS source
and catching the problem caused by my mechanical change.

Changed on Dec 3, 2006 at 1:31:13 PM by osv2

rtems-cvs-20050121-chat-ttyfd.patch.gz

comment:2 Changed on Oct 10, 2017 at 6:44:19 AM by Sebastian Huber

Component: pppdnetwork/legacy
Note: See TracTickets for help on using tickets.